Categories

Categories

8OAS 3.0

Product categories like supermarket and alnatura and its sub-categories. See Wiki

API Base URL
  • Server 1:https://api-qual.migros.ch

    Public Kong Gateway URL

Security
Kong-Api-Key (apiKey)

Kong key-auth authentication

basicAuth (http)

Basic authentication is a simple authentication scheme built into the HTTP protocol.
To use it, send your HTTP requests with an Authorization header that contains the word Basic
followed by a space and a base64-encoded string username:password.

Example: Authorization: Basic ZGVtbzpwQDU1dzByZA==

Additional Information
Contact MGB-UDP-Products-Services (arg_mgb-udp-products-services@mgb.ch)

Categories

Returns a paged list of categories and provides search functionality.

Returns a paged list of categories and provides search functionality.

get
https://api-qual.migros.ch/migros/products/v8/categories

Query Parameters

searchstring

Simple search string which is fault-tolerant for user-entered text.

limitinteger

Maximum number of results (max 2000).

Default:10

>= 0<= 2000

offsetinteger

Result set offset.

Default:0

>= 0

sortstring

The sorting criteria.

Allowed values:scorecodecategoryname

Default:score

orderstring

The ordering direction.

Allowed values:ascdesc

Default:asc

idsstring

A comma separated list or an array of category ids defining the categories and the order in which the categories should be returned. If the ids parameter is provided all other filtering parameters are ignored.

viewstring

Show specific set of categories, where ‘browse’: limit to categories that should be shown, and ‘browseallretailers’: limit to categories that should be shown, but include additional retailers like Alnatura.

Allowed values:browsebrowseallretailers

Default:browse

custom_imageboolean

Whether to output the custom image format with placeholders for width and height.

Default:false

langstring

Defines the language (de/fr/it/en) for this request as query parameter. Either use the query param “lang” or header “Accept-Language”, not both.

Allowed values:defriten

Default:de

Headers

Accept-Languagestring

Defines the language (de/fr/it/en) for this request as request header. Either use the query param “lang” or header “Accept-Language”, not both.

Allowed values:defriten

Default:de

Response

application/json

Returned when successful

CategoryCollection

A collection of category instances.

idsarray[string]

Ids only.

Is filled instead of the usual property for content, with only the ids when a call is made with verbosity=id on a
route that supports it.

total_hitsinteger | nullrequired

The total hits may exceed the actual count of results in the collection.

It represents the total number of results of a search and not only the
potentially paginated subset.

categoriesarray[object]required

Represents the category information including its ancestors and children.

Show Child Parameters
get/migros/products/v8/categories
 
application/json